- Home
- API Enriched
- Users
- config
- Create
Create
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/known_label/create';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"description":"example","key":"example","namespace":"example","value":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/known_label/create \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "description": "example", "key": "example", "namespace": "example", "value": "example" }'Create creates a new label in shared namespace. Any other namespace requested will return error.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace in which to create the label.
Request Bodyrequired
Section titled “Request Bodyrequired”Create label request in shared namespace. Only shared namespace supported.
object
Description of the label to be created.
Key for the label to be created.
Namespace in which to create the label.
Value of the label to be created.
Examplegenerated
{ "description": "example", "key": "example", "namespace": "example", "value": "example"}Responses
Section titled “Responses”A successful response.
Create Label Response.
object
object
Description of what this label means.
Label key
Label value.
Examplegenerated
{ "label": { "description": "example", "key": "example", "value": "example" }}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example